%define major   0
%define version 0.75.0
%define release 1mdk

Summary:	The Jack Audio Connection Kit
Name:		jackit-realtime
Version:	%version
Release:	%release
License:	GPL
Group:		System/Servers
Source0:	jack-audio-connection-kit-%{version}.tar.bz2
URL:		http://jackit.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Buildrequires:	libalsa-devel
Buildrequires:	libsndfile-devel
BuildRequires:  libglib-devel
BuildRequires:	libfltk-devel
Buildrequires:  doxygen
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
BuildRequires:	libcap-devel
BuildRequires:  libtermcap-devel
Requires:	kernel-multimedia
Requires:	libjack%major = %version

%description
JACK is a low-latency audio server, written primarily for the Linux
operating system. It can connect a number of different applications to
an audio device, as well as allowing them to share audio between
themselves. Its clients can run in their own processes (ie. as a
normal application), or can they can run within a JACK server (ie. a
"plugin").

JACK is different from other audio server efforts in that it has been
designed from the ground up to be suitable for professional audio
work. This means that it focuses on two key areas: synchronous
execution of all clients, and low latency operation.

This is the realtime version of JACK, which allows regular users to
have high-priority scheduling for multimedia applications.  Start
jack using the 'jackstart' command or 'jackd -R'.  You will also have
to be running the multimedia kernel.  Jackstart runs as suid root, which
is a small security risk.

%prep
%setup -q -n jack-audio-connection-kit-%{version}  

%build
%configure --with-html-dir=%{_docdir} --enable-capabilities --enable-stripped-jackd
perl -p -i -e 's/bindir\)\/jackd\\/bindir\)\/jackd-realtime\\/g' jackd/Makefile
%make

%install
%makeinstall_std
rm -fr $RPM_BUILD_ROOT/%{_docdir}
rm -fr $RPM_BUILD_ROOT/%_libdir
rm -fr $RPM_BUILD_ROOT/%_includedir
rm -fr $RPM_BUILD_ROOT/%_bindir/{jack_*,jackrec}
rm -fr $RPM_BUILD_ROOT/%_mandir/man1/jackd.*
mv $RPM_BUILD_ROOT/%_bindir/jackd $RPM_BUILD_ROOT/%_bindir/jackd-realtime

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS TODO COPYING* doc/reference
%attr(4755,root,root) %{_bindir}/jackstart
%{_bindir}/jackd-realtime
%{_mandir}/man1/jackstart.*

%changelog
* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.75.0-1mdk
- 0.75.0

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.74.1-1mdk
- sync with main

* Thu Jun 26 2003 Austin Acton <aacton@yorku.ca> 0.72.4-1mdk
- sync with main
- add some buildrequires

* Wed May 14 2003 Austin Acton <aacton@yorku.ca> 0.71.1-1mdk
- keep up with main
- add manpage
- add security warning

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.61.0-2mdk
- build release

* Mon Mar 3 2003 Austin Acton <aacton@yorku.ca> 0.50.0-2mdk
- rename jackd to allow installation alongside jackit
- don't obsolete/provide jackit

* Fri Feb 28 2003 Austin Acton <aacton@yorku.ca> 0.50.0-1mdk
- adapt Mandrake main rpm to realtime rpm
